<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Separator?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.effect.ColorAdjust?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane fx:id="pane" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="700.0" prefWidth="1000.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="ru.inno.game.client.controllers.MainController">
    <children>
        <ImageView fitHeight="750.0" fitWidth="1050.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@/image/field.png" />
            </image>
        </ImageView>
        <ImageView fx:id="enemy" fitHeight="100.0" fitWidth="90.0" layoutX="50.0" pickOnBounds="true" preserveRatio="true" x="335.0">
            <image>
                <Image url="@/image/enemy.png" />
            </image>
        </ImageView>
        <ImageView fx:id="player" fitHeight="100.0" fitWidth="90.0" layoutX="50.0" layoutY="610.0" pickOnBounds="true" preserveRatio="true" x="335.0">
            <image>
                <Image url="@/image/player.png" />
            </image>
        </ImageView>
        <Separator layoutX="780.0" layoutY="25.0" orientation="VERTICAL" prefHeight="650.0" prefWidth="1.0">
            <effect>
                <ColorAdjust brightness="-0.08" saturation="-0.19" />
            </effect>
        </Separator>
        <Button fx:id="buttonConnect" layoutX="798.0" layoutY="25.0" mnemonicParsing="false" prefHeight="30.0" prefWidth="188.0" style="-fx-background-color: #2f5895;" text="Подключение" textFill="#a4a485" />
        <TextField fx:id="textPlayerName" disable="true" layoutX="798.0" layoutY="68.0" prefHeight="30.0" prefWidth="128.0" promptText="Имя" />
        <Button fx:id="buttonGo" disable="true" layoutX="930.0" layoutY="68.0" mnemonicParsing="false" prefHeight="30.0" prefWidth="55.0" style="-fx-background-color: #445da0;" text="Старт" />
        <Label layoutX="807.0" layoutY="110.0" prefHeight="30.0" prefWidth="188.0" text="ВАШЕ ЗДОРОВЬЕ" textAlignment="CENTER" textFill="#ff30ea">
            <font>
                <Font name="System Bold" size="20.0" />
            </font>
        </Label>
        <Label fx:id="hpPlayer" alignment="CENTER" contentDisplay="CENTER" ellipsisString="" layoutX="780.0" layoutY="165.0" prefHeight="46.0" prefWidth="215.0" style="-fx-text-alignment: center;" text="100" textAlignment="CENTER" textFill="#da1414">
            <font>
                <Font name="System Bold" size="30.0" />
            </font>
        </Label>
        <Label layoutX="835.0" layoutY="250.0" prefHeight="30.0" prefWidth="113.0" text="ЗДОРОВЬЕ" textFill="#ff30f8">
            <font>
                <Font name="System Bold" size="20.0" />
            </font>
        </Label>
        <Label fx:id="hpEnemy" alignment="CENTER" contentDisplay="CENTER" layoutX="780.0" layoutY="335.0" prefHeight="46.0" prefWidth="215.0" style="-fx-text-alignment: center;" text="100" textAlignment="CENTER" textFill="#da1414">
            <font>
                <Font name="System Bold" size="30.0" />
            </font>
        </Label>
        <Label layoutX="816.0" layoutY="280.0" prefHeight="30.0" prefWidth="149.0" text="         ВРАГА" textAlignment="CENTER" textFill="#f530ff">
            <font>
                <Font name="System Bold" size="20.0" />
            </font>
        </Label>
        <Label fx:id="finishGame" contentDisplay="CENTER" layoutX="210.0" layoutY="195.0" prefHeight="230.0" prefWidth="471.0" textAlignment="CENTER" textFill="#266780">
            <font>
                <Font name="System Bold" size="20.0" />
            </font>
        </Label>
    </children>
</AnchorPane>
